## libtorrent-rasterbar 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 project(libtorrent)
 set (SOVERSION "8")
-set (VERSION "1.1.0")
+set (VERSION "1.1.1")
 
 set(sources
 	web_connection_base
@@ -14,6 +14,7 @@
 	bandwidth_manager
 	bandwidth_queue_entry
 	bdecode
+	bitfield
 	block_cache
 	bloom_filter
 	chained_buffer
