=== debian/changelog ===
libtorrent-rasterbar (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop remove-msse4.2.patch, fix-get-ip-filter.patch,
    1.1.0-python-fixes.patch, and fix-invalid-input-crash.patch.
    All applied upstream.
  * Bump debian/compat to 10.
  * Adjust install files for multi-arch.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 29 Oct 2016 16:39:13 -0400
