=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
-Build-Depends: debhelper (>= 7.4.10),
+Build-Depends: debhelper (>= 10),
                dh-autoreconf,
                dpkg-dev (>= 1.16.1~),
                libboost-system-dev,
