=== debian/changelog ===
libtorrent-rasterbar (1.1.5-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:51 +0000

libtorrent-rasterbar (1.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version 4.1.2, no changes. 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 25 Dec 2017 14:29:03 -0500

libtorrent-rasterbar (1.1.4-1) unstable; urgency=medium

  * New upstream release (Closes: #857239).
   - Fix file rename issue with name prefix matching
     torrent name (Closes: #874136).
   - Fix ABI compatibility issue introduced with
     preformatted entry type (Closes: #842538).
  * debian/libtorrent-rasterbar-doc.install:
   - Adjust for new release.
  * debian/control:
   - All priority 'extra' packages are now 'optional.'
   - Bump Standards-Version to 4.1.0. 
   - Drop un-needed build dep on dh-autoreconf.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 03 Sep 2017 13:28:04 -0400
