=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
-               dh-autoreconf,
                dpkg-dev (>= 1.16.1~),
                libboost-system-dev,
                libboost-python-dev,
@@ -19,7 +19,7 @@
                python3-all-dev,
                python3-all-dbg,
                python3-docutils
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Git: git://anonscm.debian.org/collab-maint/libtorrent-rasterbar.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libtorrent-rasterbar.git
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
@@ -68,7 +68,6 @@
 
 Package: libtorrent-rasterbar-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, libtorrent-rasterbar9 (= ${binary:Version})
@@ -122,7 +121,6 @@
 
 Package: python-libtorrent-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-libtorrent (= ${binary:Version}), python-dbg
@@ -160,7 +158,6 @@
 
 Package: python3-libtorrent-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python-libtorrent (= ${binary:Version}), python3-dbg
