## libtorrent-rasterbar 1.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.8)
 project(libtorrent)
 set (SOVERSION "8")
-set (VERSION "1.1.5")
+set (VERSION "1.1.9")
 
 set(sources
 	web_connection_base
@@ -182,17 +182,9 @@
 	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO}")
 endif()
 
-if (build_tests)
-	# this will make some internal functions available in the
-	# DLL interface, for the tests to access
-	add_definitions(-DTORRENT_EXPORT_EXTRA)
-endif (build_tests)
-
 find_package(Threads REQUIRED)
 
 include_directories(${includes})
-
-add_definitions(-DTORRENT_BUILDING_LIBRARY)
 
 if (encryption)
 	list(APPEND sources mpi pe_crypto)
@@ -226,8 +218,11 @@
 endif()
 
 if (shared)
-	add_definitions(-DTORRENT_BUILDING_SHARED)
 	add_library(torrent-rasterbar SHARED ${sources2})
+	target_compile_definitions(torrent-rasterbar
+		PRIVATE TORRENT_BUILDING_SHARED
+		INTERFACE TORRENT_LINKING_SHARED
+	)
 	if(NOT MSVC)
 		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
 		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
@@ -256,10 +251,40 @@
 	add_library(torrent-rasterbar STATIC ${sources2})
 endif()
 
+target_compile_definitions(torrent-rasterbar PRIVATE TORRENT_BUILDING_LIBRARY)
+
+# C++ standard and Boost requirements are connected:
+# 1. With C++11 onward, we require Boost system component, with C++03 we need chrono and random components too
+# 2. When building against boost 1.66 and newer, C++11 is required.
+
+# For the first requirement we do:
+set(required_boost_components system)
+if (NOT cxx_std_11 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
+	list(APPEND required_boost_components chrono random)
+endif()
 # Boost
 if(NOT DEFINED Boost_INCLUDE_DIR OR NOT DEFINED Boost_LIBRARIES)
-	FIND_PACKAGE(Boost REQUIRED COMPONENTS system chrono random)
-endif()
+	find_package(Boost REQUIRED COMPONENTS ${required_boost_components})
+endif()
+# now test the second requirement:
+if (Boost_VERSION VERSION_GREATER_EQUAL 106600)
+	if (NOT cxx_std_11 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
+		message(FATAL_ERROR "When building against boost 1.66 and newer, C++11 is required,\n"
+		                    "and your compiler does not support that")
+	endif()
+endif()
+
+# selecting C++14/11 mode if available
+if (cxx_std_14 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
+	target_compile_features(torrent-rasterbar PUBLIC cxx_std_14)
+	message(STATUS "Building in C++14 mode")
+	set(CXX_MODE_COMPILE_OPTION -std=c++14)
+elseif(cxx_std_11 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
+	target_compile_features(torrent-rasterbar PUBLIC cxx_std_11)
+	message(STATUS "Building in C++11 mode")
+	set(CXX_MODE_COMPILE_OPTION -std=c++11)
+endif()
+
 include_directories(${Boost_INCLUDE_DIRS})
 target_link_libraries(torrent-rasterbar ${Boost_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
 
@@ -345,6 +370,8 @@
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}
 	PROPERTY COMPILE_DEFINITIONS
 	)
+
+set(COMPILETIME_OPTIONS ${CXX_MODE_COMPILE_OPTION})
 foreach (s ${COMPILETIME_OPTIONS_LIST})
 	set (COMPILETIME_OPTIONS "${COMPILETIME_OPTIONS} -D${s}")
 endforeach (s)
@@ -372,23 +399,8 @@
 
 # === build tests ===
 if(build_tests)
-	file(GLOB tests RELATIVE "${PROJECT_SOURCE_DIR}" "test/test_*.cpp")
-	list(REMOVE_ITEM tests "test/test_natpmp.cpp") # doesn't build at time of writing
-	list(REMOVE_ITEM tests "test/test_utils.cpp") # helper file, not a test
-
-	add_library(test_common OBJECT test/main.cpp test/test.cpp
-		test/setup_transfer.cpp test/dht_server.cpp test/udp_tracker.cpp
-		test/peer_server.cpp test/web_seed_suite.cpp test/swarm_suite.cpp
-		test/test_utils.cpp test/make_torrent.cpp test/settings.cpp)
 	enable_testing()
-
-	foreach(s ${tests})
-		get_filename_component (sn ${s} NAME_WE)
-		add_executable(${sn} ${s} $<TARGET_OBJECTS:test_common>)
-		target_link_libraries(${sn} torrent-rasterbar)
-		add_test(${sn} ${s})
-	endforeach(s)
-
-	add_executable(bdecode_benchmark test/bdecode_benchmark.cpp)
-	target_link_libraries(bdecode_benchmark torrent-rasterbar)
-endif()
+	# this will make some internal functions available in the DLL interface
+	target_compile_definitions(torrent-rasterbar PUBLIC TORRENT_EXPORT_EXTRA)
+	add_subdirectory(test)
+endif()
