=== debian/changelog ===
libtorrent-rasterbar (1.1.9-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release (Closes: #900975).
    - d/p/python-dbg-build-fix.patch: Drop, wasn't in series, fixed upstream.
    - d/p/fix-html-docs.patch: Refresh and extend patch.
  * d/compat, d/control: Bump dh compat to 11.
  * d/control:
    - Add build-depend on dh-python.
    - Drop versioned build-depend on dpkg-dev.
    - Drop Pre-Depends on dpkg (Was for xz support.)
    - Update homepage to https://libtorrent.org/ (Closes: #900946).
    - Update Vcs-* for Salsa.
    - Fix python3-libtorrent-dbg depend:
      python-libtorrent →  python3-libtorrent (Closes: #906078).
  * d/control, d/copyright, d/rules:
    Upstream dropped geoip support, drop references.
  * d/copyright:
    - Update ConvertUTF.(cpp,h) license.
    - Update 'format' field to use https.
  * d/rules:
    - Drop --parallel, autoreconf, and xz compression.  These are now default.
  * Bump Standards-Version to 4.1.4.
  * Remove trailing whitespaces under debian/*

  [ Andrew Starr-Bochicchio ]
  * New upstream release.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 22 Sep 2018 20:54:52 -0400
