=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
-Build-Depends: debhelper (>= 10),
-               dpkg-dev (>= 1.16.1~),
+Build-Depends: debhelper (>= 11),
+               dh-python,
                libboost-system-dev,
                libboost-python-dev,
                libboost-chrono-dev,
                libboost-random-dev,
                libssl-dev,
-               libgeoip-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~),
                python-all-dbg,
@@ -19,16 +17,15 @@
                python3-all-dev,
                python3-all-dbg,
                python3-docutils
-Standards-Version: 4.1.2
-Vcs-Git: git://anonscm.debian.org/collab-maint/libtorrent-rasterbar.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libtorrent-rasterbar.git
-Homepage: http://www.rasterbar.com/products/libtorrent/index.html
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/debian/libtorrent-rasterbar.git
+Vcs-Browser: https://salsa.debian.org/debian/libtorrent-rasterbar/
+Homepage: https://libtorrent.org/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1
 
 Package: libtorrent-rasterbar9
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libtorrent-rasterbar-dbg
 Description: C++ bittorrent library by Rasterbar Software
@@ -46,12 +43,10 @@
 Package: libtorrent-rasterbar-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
          libtorrent-rasterbar9 (= ${binary:Version}),
          libboost-system-dev,
          libssl-dev,
-         libgeoip-dev,
          pkg-config
 Suggests: libtorrent-rasterbar-doc
 Description: Development files for libtorrent-rasterbar
@@ -69,7 +64,6 @@
 Package: libtorrent-rasterbar-dbg
 Section: debug
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, libtorrent-rasterbar9 (= ${binary:Version})
 Description: Debug symbols for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
@@ -86,7 +80,6 @@
 Package: libtorrent-rasterbar-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Description: Documentation for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
@@ -103,7 +96,6 @@
 Package: python-libtorrent
 Section: python
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar9 (= ${binary:Version})
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
@@ -122,7 +114,6 @@
 Package: python-libtorrent-dbg
 Section: debug
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-libtorrent (= ${binary:Version}), python-dbg
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
@@ -142,7 +133,6 @@
 Package: python3-libtorrent
 Section: python
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libtorrent-rasterbar9 (= ${binary:Version})
 Description: Python bindings for libtorrent-rasterbar (Python 3)
  Bittorrent library by Rasterbar Software (Arvid Norberg).
@@ -159,8 +149,7 @@
 Package: python3-libtorrent-dbg
 Section: debug
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python-libtorrent (= ${binary:Version}), python3-dbg
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-libtorrent (= ${binary:Version}), python3-dbg
 Description: Python bindings for libtorrent-rasterbar (debug symbols) (Python 3)
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
