=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,10 @@
 PYTHON3=$(shell py3versions -vr)
 ALLPY=$(PYTHON2) $(PYTHON3) $(PYTHON2:%=%-dbg) $(PYTHON3:%=%-dbg)
 
-CONFIGURE_ARGS = --with-libgeoip --with-libiconv --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+CONFIGURE_ARGS = --with-libiconv --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with autoreconf,python2,python3
+	dh $@ --with python2,python3
 
 override_dh_auto_configure-nopy:
 	dh_auto_configure --builddirectory build -- $(CONFIGURE_ARGS)
@@ -61,6 +61,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
-
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
